using System;

internal sealed class Delegate687 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate687 delegate687_1)
	{
		return delegate687_1(object_0);
	}

	public extern Delegate687(object object_0, IntPtr intptr_0);

	static Delegate687()
	{
		Class10.smethod_13(typeof(Delegate687).TypeHandle);
	}

	internal static Delegate687 delegate687_0;
}
